VMware and Hardy

Bohmer, Andre ten Andre.tenBohmer at wur.nl
Wed Apr 16 10:09:29 BST 2008


Hi,
> 
> I have just upgraded by PC from gutsy to hardy.
> 
> I run VMware workstation, and  am getting errors when 
> building the VMwware modules for the kernel on hardy 
> (2.6.24-16-generic).  The errors are
> 
> make[1]: Entering directory `/usr/src/linux-headers-2.6.24-16-generic'
>   CC [M]  /tmp/vmware-config1/vmmon-only/linux/driver.o
> In file included
> from /tmp/vmware-config1/vmmon-only/./include/vmware.h:25,
>                  from 
> /tmp/vmware-config1/vmmon-only/linux/driver.c:83:
> /tmp/vmware-config1/vmmon-only/./include/vm_basic_types.h:170: error:
> conflicting types for 'uintptr_t'
> include/linux/types.h:40: error: previous declaration of 
> 'uintptr_t' was here
> /tmp/vmware-config1/vmmon-only/./include/compat_wait.h:60: error:
> conflicting types for 'poll_initwait'
> include/linux/poll.h:65: error: previous declaration of 
> 'poll_initwait'
> was here
> 
> 
> Are these errors ubuntu-specific or are they due to changes between
> 2.6.22 and 2.6.24 kernels?
> 
> Any suggestions on how to get the modules to build?
I guess it should work using this :
http://taltan2.free.fr/dl/vmware/vmware-any-any-update-116.tgz 

Cheers,
Andre

> 
> 
> 
> --
> ubuntu-users mailing list
> ubuntu-users at lists.ubuntu.com
> Modify settings or unsubscribe at: 
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
> 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/x-pkcs7-signature
Size: 5113 bytes
Desc: not available
Url : https://lists.ubuntu.com/archives/ubuntu-users/attachments/20080416/ff3158c7/attachment.bin 


More information about the ubuntu-users mailing list